Page 1

March 7, 2013

Volume 35, Issue 24

www.metnews.org

Serving the Auraria Campus since 1979

TheMetropolitan MetNews

MetroSpective Metro

Rants+Raves

Giving of the heart in women’s conference

Step Afrika! brings cultural grooves 9

Back in the day: 40 years of awesome jams 12

3

MetSports Met Emily Wood aims high 16

Roadrunners extend season, soar to semi-finals

Metro State forward-center Jonathan Morse fights for the ball with Colorado Christian University’s guard Michael Brown during the RMAC Quarter Finals March 5 at the Auraria Event Center. Photo by Ryan Borthick • rborthic@msudenver.edu

16

Seniors and Freshmen — improve your university experience

Complete the 15-min NSSE* survey by May 1

$2 donation to the MSU Denver Food Bank from the Provost’s Office for each survey completed.

• Check your MSU Denver email for details • For more information, contact Lou Moss - lmoss@msudenver.edu *NSSE = National Survey of Student Engagement

Department Name


2  March 7, 2013  MetNews  TheMetropolitan

Plaza Suite 150 303-556-2525

24/7 Auraria Campus Emergency Phone Numbers Protocol to Contact the Auraria Police Department From any campus phone, CALL 911 From off-campus phones or cell phone, CALL 303-556-5000


TheMetropolitan  MetNews March 7, 2013 

MetNews

3

Kickbusch advises to give of the heart Lee Ridley lridley1@msudenver.edu Hugs, tears, laughter and applause filled Tivoli Turnhalle March 1 as keynote speaker Consuelo Kickbusch shared personal anecdotes illustrating her message: give of your heart. Kickbusch peppered her speech with humor, sincerity and warmth as she spoke to about 75 attendees at the Auraria’s 17th Annual Women’s Leadership Conference. “Go for understanding your character and your core values,” Kickbusch said. “Investigate and research what you will spend the rest of your life doing with passion.” Kickbusch talked about her family living for five years in a train boxcar. Her mother hung curtains in the boxcar, even though it had no windows, saying “The last thing I want for my children is to settle for these steel walls. It is my duty to tell them that there are windows that sometimes you cannot see. Life is about vision. Leaders are visionary.” The audience listened intently as Kickbusch encouraged them to focus on doing what they love instead of pursuing luxuries. “Shine inside so the outside can shine,” Kickbusch said. She credited her parents with instilling the will to overcome discrimination and challenges she encountered throughout her life, especially as a female leader in a male-dominated military. She became the highest-ranking Hispanic woman in the Combat Support Field of the U.S. Army. Kickbusch left her military career at its pinnacle to fulfill her mother’s dying wish that she trade her pursuit of intrinsic success for helping those less fortunate. “Me? I’m the best in the litter,” Kickbusch joked when her mother expressed concern over her life choices. The conversation was no joke and ended up being a turning point for Kickbusch. She began dedicating her life to helping others overcome poverty, discrimination and adversity. She built a successful company, Educational Achievement Services, and has written books about leadership. “How do you not feel guilty when you get a Starbucks coffee— not feel bad when you know there are people suffering?” asked Clair Tralles, a MSU student government senator.

“Before I get, I give. For example, I have a tradition that I give away my jewelry,” Kickbusch said as she removed a large silver ring and placed it on Tralles’ finger. Tralles and the audience were moved to tears at this act of generosity. Kickbusch explained that she lives modestly and feels no guilt over her success because she gives her time and money. “I’m probably the poorest millionaire you’ll ever meet, purposely, because 40 percent of what I earn, I donate anonymously to charity,” Kickbusch said. Kickbusch answered other questions and all who asked received hugs. She received a standing ovation after her final message: “As you go through your life, feed your brain and most of all, give of your heart.” Jesse Altum, an MSU Denver senior, knows Tralles because they’ve served in student government together. “To me, Clair cried because she got to feel the generosity. Starting that chain of giving is much bigger than the value of that ring,” Altum said.

Conseulo Kickbush (left) demonstrates charity by giving her ring to Clair Tralles(right) on March 1 at Auraria’s Woman’s Leadership Conference. Photo by Lee Ridley • lridley1@msudenver.edu

Working toward equal pay Lee Ridley lridley1@msudenver.edu Knowing a job’s fair salary prior to accepting the offer is crucial to avoid a lifetime of lost income. This was the message at the “$tart $mart: Salary Negotiations” breakout session, one of several offered during the 17th Annual Women’s Conference Friday at the Tivoli. “HR departments tend to offer men a higher salary from the onset because they don’t want to get to the negotiation process,” said Amy Blackwell, director-atlarge of the American Association of University Women. Research shows women earn less and are less likely to negotiate for higher salaries, so they fall further behind every year, Blackwell said. She explained how important it is for women to ask for a fair salary for their first job, or they could lose more than $1 million in wages over their working life. “Once you have a job offer, you’re in the driver’s seat,” Blackwell said. “There’s power in knowledge.”

Blackwell walked attendees through a salary wizard tool at www.wageproject.org to help them determine a job’s fair compensation package (salary plus benefits). She emphasized how important it is for job seekers to know how to negotiate. “They knock the ball into your court, now you knock it back,” she said. She offered tips and tactics to master salary negotiations, saying, “Don’t take the first offer.”

The session was a shortened version of a threehour “$tart $mart” course Blackwell teaches on campus. It is free to all Auraria students and staff. The next session is Saturday, March 9, 1 p.m. – 4 p.m. Register by March 6 at bit.ly/StartSmartAuraria. Amy Blackwell talks about how women can get the pay they want for the job they want during the March 1 at Auraria’s Woman’s Leadership Conference. Photo by Dan Fairbairn • dfairba3@msudenver.edu


4  March 7, 2013  MetNews  TheMetropolitan

Panel discusses black and Latino politics

Professor Rodney Hero of UC-Berkley, and Robert Preuhs, an assistant professor of political science at MSU Denver, opened the forum with a synopsis of their new coauthored book “Black-Latino Relations in U.S. National Politics: Beyond Conflict or Cooperation.” In the book the authors explain that minority members of James Mejia speaking at a panel discussion— Beyond Congress and “elite Conflict or Cooperation, held on Feb. 27 in the Tivoli, advocacy groups” focusing on black-Latino public relations Photo by Katie Avery • kavery1@msudenver.edu such as the NAACP and La Raza, are Maalikah Hartley found to have more of an indemhartle8@msudenver.edu pendent approach with each other, where there is no conflict amongst Black and Latino political cothe groups. operation at the local and national “At this national level of behavlevel was the topic of discussion at ior there is almost a complete lack the Tivoli last Wednesday. of conflict, but also that reaches to MSU Denver hosted the public a tremendous amount of indepenforum Feb. 27 in the Tivoli Adiron- dence,” Preuhs said. “When issues dacks room with a panel of elected are identified together, cooperation officials, community leaders and is found.” scholars. The panel then took over and

discussed topics such as the lack of female and Latino representation in positions of political power, the incorrectness of categorizing academic achievements based on race instead of poverty levels, how blacks can no longer run for office on “the basis of being black,” and partisan fighting at the local level. “We all know that race is not real in terms of [biology],” said Lisa Calderon, co-chair of the Denver chapter of the Colorado Latino Forum and director of the Community Reentry Project. “But how groups are categorized has very real meaning in the law. It does have real life implications. And I think we need to continue to struggle with those tensions.” The panel also discussed the need for more awareness of gang violence in black and Latino neighborhoods, the issue of the oppressed becoming the oppressor, and a desire to share power. “How do we change the dialogue from ‘who’s getting what piece of the pie’ to how we can actually expand the pie so that no one feels they’re being shortchanged,” said Terrance Carroll, attorney and former speaker of the Colorado House of Representatives. “I’ve had some AfricanAmerican folks jump all over me

for my support of immigrant rights groups. Those of us who have been oppressed, we actually have an obligation to stand with those people that are being marginalized and cast off.” Comments and questions were taken from the audience, some of which expressed disagreement over whether there is more conflict at the local level than at the national level. “We were poor, there was blatant racism and inequality in schools, and we didn’t have many elected officials, if any,” said audience member Anita Gonzalez, referring back to the 1960s. “So we did come together. There [were] strong coalitions in the movement. This has been going on at the community level for a long time. I don’t think it goes on at the political level. How do we [fix that]?” James Mejia, founding CEO of the Denver Preschool Program, responded that blacks and Latinos should remember their coalitions that traced back to the Civil War and that those who have economic success have an obligation to bring others along. “It’s not good enough to make it and make donations and be a part of non-profits, etc.,” he said. “From day one you should be

bringing other folks along. Our communities, black and brown, haven’t done a good enough job of doing that.” Denver City Council member Albus Brooks, an advocate for black/Latino cooperation, spoke about redistricting happening only in black and Latino neighborhoods because of population increases. “It doesn’t make sense,” said audience member Sandra Coats, a former commissioner for the mayor. “You’re saying we’re redistricting because we have more people coming in, then why don’t we have more services or why are you trying to close places in those areas? It’s almost like it’s a setup; pit [blacks and Latinos] against each other and let them destroy each other because we’re still not going to do the right thing.” In their closing statements panel members acknowledged the problems discussed and stated that conversations about racial inequality need to continue and that all races need to come together with common goals. Calderon also urged the audience to call their school board and ask them to include Latinos in the final pool of board members.

Please join us for

MSU Denver Counseling Center’s

OPEN HOUSE Monday

Free refreshments!

March 11, 2013 11 a.m.—2 p.m. Tivoli 651

Meet the staff and find out about what we do. We will be giving away free door prizes!


TheMetropolitan  MetNews  March 7, 2013 

Bridge speaker talks reproductive justice Sean Bobic sbobic@msudenver.edu Though weary from traveling, professional feminist Loretta Ross gave an impassioned speech at the Auraria Turnhalle Feb. 28. Ross was invited to speak for the 22nd annual Bridge Speaker event, which refers to the bridging of Black History Month in February with Women’s History Month in March. Ross is the founder of the SisterSong Women of Color Reproductive Justice Collective. She has worked for more than 40 years for the improvement of women’s rights, particularly with regard to sex and reproduction. In the mid-90s, a group of women, including Ross, were inspired to combine reproductive and social rights after hearing a pro-choice speech by Hillary Clinton. “We started strategizing on what we were going to do about health care reform. We came up with this strategy to splice reproductive rights with social justice, and we created this term ‘reproductive justice,’” Ross said. Ross took out an ad in the Washington Post to gain attention for their new movement, but it

went unnoticed. Though Ross and her group failed to start an initiative with the Clinton administration, the idea of reproductive justice continued to endure, thanks in part to Ross’s efforts. The idea of reproductive justice encompasses all issues facing women. Ross stated that it is not a way to avoid using terms like abortion and pro-choice, because it includes all of these issues. “The second cornerstone of reproductive justice comes specifically from the lived experiences of women of color, because we have to fight equally as hard to have the children we have,” Ross said. “We are always experiencing attempts at population control.” Ross also spoke about hurdles minorities face, such as unsafe birth control and illegal immigration restrictions. “This separates us from white women because white women are often compelled to have children,” Ross said. “Nobody can convince me that that same force of people trying to compel white women to have children want more brown or black babies.” Ross also emphasized the connection of social rights with reproductive justice by citing other

issues, such as gun control and the violence that has plagued the country recently. The basic human rights to protect oneself and one’s children are the central ideas. “So, reproductive justice in a nutshell: the right not to have a child, the right to have a child, the right to parent our children,” Ross said. The path Ross chose stems from an early event in her life. “At age 14, a cousin who was supposed to be babysitting me decided it would be a better idea to have sex with me,” Ross said. “And so I became pregnant.” In 1968, Ross had few options, since abortion was not yet legal. She initially intended to give the child up for adoption, but decided not to go through with it when she came face to face with her son. “Next thing I knew, I spent the next 45 years parenting the child of my rapist,” Ross said. At a young age, Ross learned that she wasn’t in control of her life. She had to sue the school system to retain the right to raise her child because schools would regularly expel girls who had children. Ross won the lawsuit against her school, but still found high school to be difficult. It wasn’t until she was 16 that

Bridge speaker Loretta Ross discusses why reproductive justice is a human rights issue on Feb. 28 in the Tivoli Turnhalle. Photo by Katie Avery • kavery1@msudenver.edu

she began to understand what had happened to her. In 1970, she went to Howard University in Washington D.C. and later founded the D.C. Rape Crisis Center. “It wasn’t until several years later that I learned that I wasn’t alone with what happened to me, that many young women were being abused sexually, that many young women had no control over their bodies,” Ross said. Ross would go on to face more difficulties protecting herself and her rights. To obtain birth control, she had to attain a parent’s signature, but her religious mother

wouldn’t sign, so she had her sister forge a signature. She was given the Dalkon Shield, which was a defective intrauterine device that led to many women becoming sterile, including Ross. “It was from that series of experiences that I became an activist,” Ross said. The audience gave Ross a standing ovation. Her words inspired some listeners to action. “I came here just expecting to listen, but I am now wanting to get involved any way that I can,” Karen Shane, an MSU Denver student said.

MAKE HER THE ONLY THING ON YOUR MIND. For students who want to make history! Telefund needs telephone fundraisers for the Democrats, Planned Parenthood, Human Rights Campaign, the ACLU and other progressive causes!

• Hiring for evenings & weekends • Average pay $11 to $12/hour • Flexible scheduling for students’ classes • Full time or part time

5

SHOW HER YOU CARE. GET YOURSELF TESTED. Affordable STD screenings available at Planned Parenthood health centers. Make an appointment today.

Call 1.800.230.PLAN for the health center nearest you. www.pprm.org

www.telefund.com Please call Marcus at 303-894-0456 Planned Parenthood of the Rocky Mountains


6 March 7, 2013  TheMetropolitan

InSight

Nuggets can’t hope their way to playoffs Nick Ohlig nohlig@msudenver.edu The Denver Nuggets are frauds. They are no better than scam artists or those catfishers we see on television. At least those catfishers admit to their wrongdoing (eventually). I feel like I am watching the same act, just a different verse of these Nuggets: great offense, below-average defense and a suspect group of rebounders. I want to believe the Nuggets are a good team. I just don’t love a team that has no true superstars. I don’t enjoy a team that doesn’t understand the true meaning of defense. I just don’t like it at all. This season, the Nuggets are the fifth-best team in the Western Conference because they score a ton of points. They are dominant in the paint and their bench is one of the best in the league. They are really good at home and below-

average on the road, which is not a good formula for playoff success. When the postseason comes, the Nuggets will have to play at least four road games in the first round. Have you seen the Nuggets play on the road this season? They have been terrible to pathetic. Case in point: early in January, against the Oklahoma City Thunder — a real playoff team — the Nuggets lost by 20. A month later, the Nuggets lost to the sorry Washington Wizards. They have also lost on the road to the Orlando Magic and the Phoenix Suns. Their 13-19 road record is a product of their lack of defense. In the playoffs, teams that play elite defense win games. The Nuggets’ defense is poor. They are ranked in the bottom third in points allowed, averaging around 102 per game. In the playoffs, great defense beats great offense. The Miami Heat and the San Antonio Spurs understand the concept of defense, which is why they are

always favorites to win the NBA championship. I also wish the Nuggets would fix their so-called way of winning championships. The Nuggets are attempting to win a championship without a superstar. As noble as that might sound, it is a joke. Superstars in the NBA win — that is a fact. It is also a fact that superstars are players who can score more than 20 points per game. The Nuggets’ leading scorer is Danilo Gallinari, who has a subpar 16.7 PPG. During playoff moments, when the Nuggets need a clutch three pointer, Gallo disappears. I understand not all superstars can make all of the clutch 3’s. But there will be a time in the playoffs when the Nuggets need a basket and nobody will be there, because they don’t have the superstar gene. Nuggets point guard Andre Miller said, “You can’t win in this league without a superstar. You can’t win a championship. I don’t

even think you can even advance in the playoffs without that marquee player.” Thank you Andre, for the best quote of the year. The Nuggets are a good team. On any given night they can beat the big boys of the NBA. But I am past the joys of winning 50 games every year. I want to see this Nuggets team go deep into the playoffs and maybe even win a championship. But I know it will not happen. I have seen this act before. The Nuggets win 50 games, give their fans some false hope about winning a playoff series or two, then they fizzle out of the first round. This team is no different than the other Nuggets teams of the past. They are frauds, phonies, fakes. Whatever you call this team, just don’t mention the phrase, “The Denver Nuggets will advance to the second round of the NBA playoffs.”

Letter to the editor: “‘Vagina Monologues’ feel like a trap”

As a member of the cast of this year’s production of “The Vagina Monologues”, I am admittedly biased toward any reviews of the play last Friday night. But I am not writing this letter to argue that the opinions of the journalist who wrote the piece “‘Vagina Monologues’ feel like a trap,” were uncalled for or outlandishly rude. I would rather argue that they were underinformed and inarticulate. As a former journalism major, of two years to be exact, I learned that to be a good journalist you must do the legwork. Nowhere in the piece did I see references to how we had a sold out production with over 300 people in attendance at St. Cajetan’s. Nowhere did I see it mentioned that we made over $1,000 for RAAP (the Rape Assistance and Awareness Program). Nowhere did I see that the production was organized to spread awareness for V-day, a yearly event to educate and energize people around the globe to end violence against women. Nowhere was it mentioned that the women in the play are not trained actresses, but rather students and members of the community. If Mr. Zeimen had done his research, he would have realized that the purpose of the play was to shed a light on the fact that more than a billion women are the victims of gender based violence. He would have learned that gender based violence occurs on this very campus. He would have learned that the play was meant to inform and empower as well as entertain. It would have helped if Mr. Zeimen would have spoken to even one of the many personable people involved in the production. It would have helped if he had researched the history of “The Vagina Monologues.” Then, perhaps he might have learned that it is not only supposed to

be funny, but also dark, real, honest and in-your-face. He would have learned that you are not supposed to feel comfortable watching it. Yes, Mr. Zeimen, we were trying to trap you. Trap you the way we as women, men, and non-binary individuals are trapped in a patriarchal system where rape and other gender-based violence are ingrained in our global culture. “The Vagina Monologues” are funny, sad, angry and every emotion in between, because women’s experience is all those things. The human experience is all those things. At its best, this was a piece of sloppy journalism, and at its worst, it is a missed opportunity to shed a light on violence against women and the work that needs to be done. Violence against women is not just a women’s problem. It’s a human problem. Mr. Zeimen noted that he felt out of place. The production, although featuring all women born women, was meant to be inclusive. We need men in the discussion. We need Mr. Zeimen. And more importantly, we need him to care. I hope that in the future The Metropolitan holds itself to higher standards of journalism. I encourage Mr. Zeimen to keep writing, but to remember that journalists have an incredible amount of power to shape the hearts and minds of the public. This responsibility should never be taken lightly, and is why adequate research is vital to the profession. Sincerely, Marie E. Medina

The Metropolitan’s response

show, and what its aims were to be. You can find it at the following URL: http://www.metnews.org/features/feminist-alliance-to-perform-vaginamonologues/. We can understand your dismay at Mr. Zeimen’s opinion, but please keep in mind that it is just that. As he said in his article, he did take away that “The overall message from the show is one of power and independence and of fighting back against the patriarchal societal norms in the world today. That is something anyone can get behind and is inherently a positive thing.” The rest of his review is his critique of his personal experience of the show itself and of its technical difficulties that made it hard to grasp the overall performance. Again, thank you for your time. We are sorry for the negative experience you had with our publication, but we hope you will continue to share your opinions and thoughts about what this publication produces. Sincerely, The Metropolitan

Dear Marie E. Medina, The Metropolitan appreciates your response concerning the piece written by Mr. Zeimen on “The Vagina Monologues.” Given your involvement in the production and the writer not giving a positive review of his experience of the show, we can see why you find an issue with the article. “‘Vagina Monologues’ feel like a trap” is a review. It was not intended to be a comprehensive article about the production. Had it been, there would have been interviews done with the cast and facts on the show. Our publication is no stranger to writing stories on The Feminist Alliance and the events it puts on. Last month, a piece was written on “The Vagina Monologues” that gave an overview of the then-upcoming

MetStaff Editor-in-Chief Brian T. McGinn: bmcginn3@msudenver.edu Managing Editor Kayla Whitney: kwhitne2@msudenver.edu News Editor Kelli Heitstuman-Tomko: ktomko@msudenver.edu Assistant News Editors Collene Lewis: cmtlewis@msudenver.edu Maalikah Hartley: mhartle8@msudenver.edu MetroSpective Editor Nikki Work: nwork@msudenver.edu Assistant MetroSpective Editor Kailyn Lamb: klamb6@msudenver.edu Sports Editor Angelita Foster: amayer1@msudenver.edu Assistant Sports Editor Zilingo Nwuke: znuke@msudenver.edu Copy Editors J. Sebastian Sinisi Kate Rigot Photo Editor Ryan Borthick: rborthick@msudenver.edu Assistant Photo Editor Heather Newman: hnewman3@msudenver.edu Online Editor Nathalia Vélez: nvelez@msudenver.edu Multimedia Editor Ian Gassman: igassman@msudenver.edu Adviser Gary Massaro: gmassaro@msudenver.edu Webmaster Drew Jaynes: ajaynes1@msudenver.edu Director of Student Media Steve Haigh: shaigh@msudenver.edu Assistant Director of Student Media Marlena Hartz: mhartz@msudenver.edu Administrative Assistant of Student Media Elizabeth Norberg: enorbert@msudenver.edu Production Manager of Student Media Kathleen Jewby: kjewby@ msudenver.edu

The Metropolitan accepts submissions in the form of topicdriven columns and letters to the editor. Column article concepts must be submitted by 1 p.m.. Thursdays and the deadline for columns is 9 p.m. Sundays. Columns range from 500 to 600 words. Letters to the editor must be submitted by 5 p.m. Mondays to be printed in that week’s edition. There is a 500-word limit for letters to the editor. The Metropolitan reserves the right to edit letters for formatting and style. All submissions should be sent by e-mail to themetonline@gmail. com. The Metropolitan is produced by and for the students of Metropolitan State University of Denver and serves the Auraria Campus. The Metropolitan is supported by advertising revenue and student fees and is published every Thursday during the academic year and monthly during the summer semester. Opinions expressed within do not necessarily reflect those of MSU Denver or its advertisers.


TheMetropolitan  MetroSpective  March 7, 2013 

THE OFFICE OF

STUDENT MEDIA

IS NOW HIRING LEADERS

THE METROPOLITAN EDITOR-IN-CHIEF Responsible for all content of the weekly student-run newspaper. Duties include managing the student editorial staff, assigning stories, editing copy and working with the production manager on the physical makeup of the newspaper. Journalism experience preferred Preferred majors: Journalism, English, Technical Communications and Speech Communication

KMET RADIO GENERAL MANAGER Responsible for the day-to-day operation of KMet Radio Internet station. Oversees production and programming, and leads the training of a diverse group of sportscasters, DJs, producers and engineers. Collaborates over hiring decisions and develops marketing plans.

MET REPORT GENERAL MANAGER Responsible for all content of The Met Report and management of the staff. The general manager also assigns stories, sets deadlines and is responsible for the overall quality of the show. Experience with broadcasting equipment and software, marketing and television production preferred Preferred majors: Broadcast Journalism, Speech Communication, Technical Communications and Journalism.

METROSPHERE EDITOR Responsible for soliciting and judging submissions, and managing content, design and production of literary and arts magazine. Preferred majors: Communication Design, Art, English, Technical Communications and Journalism.

Experience with broadcasting equipment and software, marketing and radio production preferred Preferred majors: Speech Communication, Technical Communications, Journalism and English.

APPLY BY FRIDAY, APRIL 1, 2013, IN PERSON IN TIVOLI 313, OR AT METROSTUDENTMEDIA.COM/APPLY/EDITORS All applicants must be enrolled in at least six credit hours at MSU Denver, maintain a 2.75+ GPA and have leadership skills. Please include a résumé and cover letter, official transcript or most recent grade report, two letters of recommendation and samples of your work. Applications may also be mailed to MSU Denver Board of Student Media, ATTN: Larry Collette, Tivoli 313, P.O. Box 173362, Campus Box 57, Denver, CO 80217-3362.

7


8 March 7, 2013 MetroSpective TheMetropolitan

Metro North I-25 & 120th

303-450-5111

11990 Grant Street, Northglenn. Near I-25 and 120th located in the City Wide Bank Building.

DEPT #

COURSE TITLE/CREDITS

CRN

DAYS/TIME

DATES

CPD 2300

Time Management

34622

S, 9 a.m.–5 p.m.

5/04–5/11

CPD 2310

Stress Management

34718

S, 9 a.m.–5 p.m.

4/20–4/27

PSC 3140

The American Congress and Legislative Process

33762

S, 8:30 a.m.–3:15 p.m.

3/23–5/18

PSY 295E

Comparative Buddhist and Western Psychology

34293

S, 8:30 a.m.–3:15 p.m.

3/23–5/18

SPE 1710

Interpersonal Communication

33366

S, 8:30 a.m.–3:15 p.m.

3/23–5/18

Metro South I-25 & Orchard 303-721-1313

5660 Greenwood Plaza Blvd., Greenwood Village. Near Orchard Road and I-25 located in the Triad North Bldg. Directly across from the Orchard Train Station.

DEPT #

COURSE TITLE/CREDITS

CRN

DAYS/TIME

DATES

ACC 2020

Principles of Accounting II

33933

S, 8:30 a.m.–3:15 p.m.

3/23–5/18

CPD 2310

Stress Management

34715

S, 9 a.m.–5 p.m.

3/09–3/16

CPD 2320

Self Esteem

34723

S, 9 a.m.–5 p.m.

4/20–4/27

CPD 2360

Multi-Level Wellness

34732

S, 9 a.m.–5 p.m.

4/06–4/13

EDU 4300

Acting Like a Teacher

33397

S, 9 a.m.–2:30 p.m.

4/13–5/18

EDU 4700

Substitute Teacher Workshop

34857

S, 9 a.m.–5 p.m.

3/16–3/23

HSP 3580

Therapeutic Resistance

34491

FS, 9 a.m.–5 p.m.

3/22–3/23

HSP 4290

PTSD & Trauma Informed Care

34495

FS, 9 a.m.–5 p.m.

5/10–5/11

PHI 1030

Introduction to Ethics

32788

S, 8:30 a.m.–3:15 p.m.

3/23–5/18

PSY 3000

Theories of Personality

33714

S, 8:30 a.m.–3:15 p.m.

3/23–5/18

SPE 1010

Public Speaking

33020

S, 8:30 a.m.–3:15 p.m.

3/23–5/18

SPE 4300

Acting Like A Teacher

33398

S, 9 a.m.–2:30 p.m.

4/13–5/18

THE 3200

Performance of Literature I: Solo

33311

S, 8:30 a.m.–3:15 p.m.

3/23–5/18

THE 4300

Acting Like A Teacher

33399

S, 9 a.m.–2:30 p.m.

4/13–5/18


TheMetropolitan  March 7, 2013 

MetroSpective

9

Step Afrika! brings cultural expression, tradition Dan Fairbairn dfairba3@msudenver.edu Not many college students have had the opportunity to experience the thrills and uplifting African beats of the Step Afrika! dance group. MSU Denver was fortunate enough to host a live performance of the group’s routine on Feb. 25 in the King Center Recital Hall. Step Afrika! claims the title of the first dance company in the world dedicated to the tradition of stepping which is inspired by various African dances. The performance was a success, with an upbeat atmosphere, and interaction with the audience. At one point, the performers even pulled members of the audience to come on stage and learn how to step. The audience displayed an abundance of excited engagement throughout the show. The group shared stories about the African dance traditions that inspired them to create the show.

According to Step Afrika!’s website, “stepping is a unique dance tradition created by AfricanAmerican college students.” In stepping, the body is used as an instrument to create intricate rhythms and sounds through a combination of footsteps, claps and spoken word.” After the show, the performers spoke with members of the audience about their inspirations, and what they do with Step Afrika! They also signed autographs for students, kids and community members. According to their website, Step Afrika! was founded in 1994 in Washington D.C. “The group is celebrated worldwide for its efforts to promote an appreciation for stepping and the dance tradition’s use as an educational tool for young people,” according to Step Afrika!’s website. They have reached thousands of audiences each year and have performed in North America, South America, Europe, Asia and Africa.

Above: Christopher Brient (left) and Joe Murchison (right) performed as a part of the Step Afrika! dance company Feb. 26 at the King Center Recital Hall. Photo by Heather Newman • hnewman3@msudenver.edu Left: Step Afrika! dancers performed an engaging routine to an audience of Denver community members and Auraria students on Feb. 25 in the King Center Recital Hall. Photo by Daniel Fairbairn - dfairba3@msudenver.edu


10 March 7, 2013 MetroSpective TheMetropolitan

CVA features dual exhibit with “Semblance” and “Guised” Tobias Krause tkrause3@msudenver.edu Denver’s annual celebratory month of photography kicked off with a flash and a bang March 1. MSU Denver’s Center for Visual Arts started the month off with an exhibition featuring a number of artists from around the globe in a dual exhibition titled “Semblance” and “Guised.” The exhibits will run through April 13. Dozens of galleries, schools, museums and studios are collaborating with one another to celebrate fine art photography throughout the city. The “Semblance” exhibition focused on lens-based and time-based works of art that have similar fundamental components of ambiguity through real life events, while “Guised” is a video based exhibit. Two of the featured artists, Sama Alshaibi and Neil Chowdhury, were on hand at the CVA for a special artist talk Feb. 28. Colorado art enthusiast Joshua Swanson, who ventured down from Fort Collins, was excited to get the opportunity to hear the two artists speak. “I was ecstatic when I found out two of my favorite artists were going to be in Colorado talking,” Swanson said. “I made the drive in less than an hour.” Alshaibi and Chowdhury share more than a few things in common. Both were born outside the U.S. and both possess unique backstories that brought them to

the states. Alshaibi is known around the globe as an extremely multi-talented mixed media artist focusing her artistic endeavors on depicting issues of conflict. She also is an associate professor of photography and video art at the University of Arizona. Chowdhury is a multi-talented photographer who has had his artwork shown around the world. Chowdhury’s photojournalism talents were on display throughout the gallery. His collage pictures told a story of the realities that people face every day in India. “When people think of India, they just assume everyone is totally blissed out on a yoga path, but the truth is, not everyone’s like that” Chowdhury said. Chowdhury was born in India, relocated to England and eventually ended up in the states. “When my father passed away in 1995, I realized that I knew almost nothing of my own background,” Chowdhury said. “So I made it a point to go back to India and find out more about my culture, where I came from.” Chowdhury depicts ideas through a series of photographs layered over one another with various intertwining themes that ultimately project a multi-layered collage that speaks volumes on various levels. His personal history and the harsh realities of big-city India are displayed in a striking fashion. “It seemed like I had grown up

with all these ideas of a place in my head, all this imagery really lived in my brain and after going back to India I was able to project those ideas through my photographs,” Chowdhury said. Both artists’ pieces showed visual representations of the tenuous everyday struggle of many human beings across the world through a series of scenes and images of the environment. “After we work for a while, we can’t talk about our work anymore. You have to start showing what’s relevant now” said Alshaibi. The one-time refugee, now an American citizen, was able to convey her inspiring message of engaging humans through interaction via her multimedia video “Guised,” which was shown March 1 for

Denver’s monthly First Friday Artwalk. It depicts an intimate, international tale of fantasy, humor and familiarity all at once. The video’s hidden messages required viewers’ innate attention and the use of their imagination to focus and follow the piece’s historic and contemporary use of visual art. Alshaibi was able to curate the project with the help of various artists from across the globe. The photos that Alshaibi displayed throughout her artist talk shared a common theme of an alluring depiction of the relationship of the land and the lens used to take the photo. “Popular media already knows you” Alshaibi said. “I try to stray away from what’s already been done.”

TheMetropolitan

MetroSpective

March 7, 2013

11

First Friday brings new way to discuss women’s issues, rights

Dr. Virginia McCarver and Dr. Kim Klimek hosted the first Feminist First Fridays on March 1 in the Student Success Building. The Feminist First Fridays aim to provide a venue for discussions regarding feminism and women’s issues at MSU Denver. Photo by Philip Poston • pposton1@msudenver.edu

MSU Denver speech communication professor, women’s rights scholar and co-founder of Feminist First Fridays, talked about the Lack of women’s rights and importance of having an event like equality is a real issue — one that this on campus. Auraria’s feminist scholars are “This meeting is meant to credetermined to address. On March 1, Feminist First Fri- ate a sense of community for femidays held their first official meeting nists from all different disciplines on campus,” McCarver said. “It of the spring semester. allows us to come together to share The meeting took place in a ideas with each other and develop conference room in the Student a sense of connection. Creating Success Building. The size of the a place of meeting and sense of room, however, was barely large awareness like this is so important enough to accommodate the for our campus women and community.” men alike Amy Zsohar, who showed “Creating a place of meeting a faculty member up in supand sense of awareness like of MSU Denver’s port of the this is so important for our communication cause. department, Accord- campus community.” appreciated the ing to their —Dr. Virginia Carver relevance the website, meeting had in Feminist her life as a proFirst Fridays fessional woman. is “a forum for presenting and “I took away from this meetdiscussing feminist research and ing a better understanding as to creative works-in-progress across what it means to be a woman in disciplines, and an occasion for the workplace,” Zsohar said. “This feminist scholars on campus to is important because it is an issue come together.” women are constantly faced with.” It is an occasion that allows MSU Denver senior Cara Schiff anyone to meet and discuss with took away new ideas as to what it the diverse community of feminist meant to be a feminist. scholars on campus the prominent “I consider myself a feminist, issues in the areas of women studbut going to this meeting made ies, gender, race, inequality, and me feel more connected with the social justice. movement,” Schiff said. “I learned Last Friday’s meeting cona lot more about the history of sisted of a research presentation, a feminism, and being here really discussion, and an opportunity for establishes this and gives a sense people who attended to network with scholars and share their input of connection with others who are involved.” and ideas. Dr. Virginia McCarver, an

Reeanna Lynn Hernandez rherna60@msudenver.edu

Above: Neil Chowdhury’s piece “Street Madness and McIndia” is on display as part of “Semblance” at the MSU Denver Center for Visual Arts until April 13. Photo courtesy of http://mop2013.blogspot.com/2013/02/cva-semblance.html Below: MSU Denver Art Professor Kristen Tomiko Jones (left) led the “Semblance” and “Guised” discussion with artists Sama Alshaibi (middle) and Neil Chowdhury(right) on Feb. 28 at the Center for Visual Arts. Photo by Heather Newman • hnewman3@msudenver.edu

Top: MSU Denver Art Professor Kristen Tomiko Jones(left) and artist Sama Alshaibi (right) field questions from the audience during the artist talk Feb. 28 at the Center for Visual Arts. Photo by Heather Newman • hnewman3@msudenver.edu Above: Janaina Tschäpe’s piece “Juju 2 (from The Sea and The Mountain)” is a cibachrome print on display at MSU Denver’s Center for Visual Arts. The exhibit will be on display until April 13. Photo courtesy of http://denverarts.org/local_exhibits/cva_semblance_and_guised

According to the Institute for Women’s Studies and Services, “All Feminist First Friday meetings will be held in the Provost’s Conference Space, room 330A of the Student Success Building from 12:00-1:15 p.m. on the First Friday of every month. If you are interested in presenting your work at a future meeting, please contact: Kim Klimek at klimekk@ msudenver.edu or Virginia McCarver at vmccarve@ msudenver.edu.


12 March 7, 2013 TheMetropolitan

Rants+Raves

Angelita Foster amayer1@msudenver.edu

The explosion of creativity and expansion of musical frontiers that occurred in the 60s started to mature in the early 70s. Many artists did their most prolific work in this decade. Led Zepplin with their Led Zeppelin III and Led Zeppelin IV releases produced songs like “Black Dog,” “Immigrant Song” and the infamous guitar store staple “Stairway to Heaven.” These are classics that belong in any rock collection. I could go on about great bands like Credence Clearwater Revival, Eric Clapton’s solo work, and one of my favorites, The Allman Brothers Band. However, I feel the most defining staples of 70s music is concept albums. These records were based around a central idea supported by all the songs on the album. Dark Side of the Moon from Pink Floyd has eaten up many a music aficionado’s afternoon along with a bag of Funyuns and a bag of some other stuff that’s now legal in our fine state. Another great example is Jethro Tull’s Thick as a Brick, which features a single song, split only by flipping the record. The pinnacle, for me, comes from The Who’s rock operas. Their follow up to Tommy, their ’73 release Quadrophenia tells the story about a young man in 1960s London who suffers from dissociative identity disorder, with each personality representing the different members of the band. Both albums tell such adventurous stories. While there has been much ambitious material to come out in the decades since, there has been very little that could approach the originality of the early pioneers of long format albums.

♪ ♫

Gr

Tub

Kailyn Lamb klamb6@msudenver.edu

d

The 90s were an interesting time for music. It saw the invention of grunge, thanks to the band from the rainy city, Nirvana. But pop music groups, especially boy bands, saw a huge uprising. Some of the biggest chart toppers of the decade still get airtime today, like Nirvana’s “Smells Like Teen Spirit.” Others were definite one hit wonders like The Proclaimers “I’m Gonna Be (500 Miles).” Some of the pop-punk bands that still are popular today got their start in the 90s, like Blink-182, Green Day and Weezer. I was a lucky child in the 90s. My dad was the district manager for the music store Disc Jockey, which unfortunately went under. But as a child, it meant that I was introduced to good music at a very young age. I grew up with U2, The Pretenders and other 80s bands that cruised on into the 90s. One of my favorite songs of all time is “Nightswimming” by R.E.M. But this is not to say that I didn’t love myself some poppy goodness. When I was nine years old, *NSYNC and Britney Spears were all that and a bag of chips to me. Like so many other little girls, I made dances to my favorite boy band. Don’t even get me started on the Spice Girls. I had three sisters, and we each had our own Spice Girl that we would play pretend games as. Except my youngest sister — she had to be either Ginger or Scary because they weren’t cool enough for the rest of us. The 90s was a world of colorful zipper jackets, JNCO jeans, and flashy printed shirts. Musically, I loved every minute of it.

Nikki Work nwork@msudenver.edu

00s

Thank goodness the world didn’t end in 2000. If Y2K had brought the apocalypse, Outkast wouldn’t have inspired us to shake it like a Polaroid picture. We would never have learned about Jay-Z’s “99 Problems,” and what wasn’t one of them. We wouldn’t have heard about “Stacy’s Mom,” and how she’s got it going on or how even a “Seven Nation Army” couldn’t hold The White Stripes back. Sexy would have been missing forever, because Justin Timberlake never would have brought it back. When the pimps were in the crib, we wouldn’t have learned to “Drop It Like It’s Hot.” Amy Winehouse would never have warned us that she wasn’t going to go to “Rehab.” SisQó never would’ve asked to see our thongs. Our thongs, thongs, thongs, thongthongs. The Killers would never have seen the “brightside.” California never would have been “icated.” Eminem wouldn’t have lost himself in the music — the moment he owned it, he would’ve let it go. Green Day wouldn’t have released an album that pissed off a large amount of American idiots. Modest Mouse would have sunk in, instead of floating on. We would never have seen The Postal Service waving from “Such Great Heights.” Sunday never would have been taken back, and cute would still be spelled with the ‘e.’ The boy wouldn’t have fallen out, and sugar would not have gone down swinging. The disco would have remained calm. I’ve never been so relieved the world didn’t end.

Rants+Raves Rating System

Fre

90s

vy o o

In a decade of glam metal and hairspray, synthesized pop and rap, the women rockers of the 80s are mostly overlooked. Although I was rockin’ a pretty mean spiral perm, in the fashion of some White Snake wannabe, I was empowered by artists like Pat Benatar, Joan Jett, Patty Smyth, and Stevie Nicks. All of these women were the perfect blend of rock spirit and femininity, showing me that women can be edgy, like their male counterparts, but can still maintain their female attitudes. Benatar’s “Hit Me With Your Best Shot” was like a battle song for me. You can mess with me, but I will keep on standing. “I Love Rock N’ Roll,” “Do You Wanna Touch Me,” and “Love Stinks” by Joan Jett – need I say more? I don’t need to, but I’m going to anyway. The woman oozed rock from every pore. Smyth was the ultimate rocker chick. Even Eddie Van Halen considered her as a replacement for David Lee Roth. Some of Smyth’s 80s hits included “The Warrior” and “Goodbye to You.” There was something about the raspy voice of Stevie Nicks that drew me into her music. The former Fleetwood Mac singer might be considered, by some, to be a pop singer, but I put her in the rock category because of her rock arrangements and lyrics. There is nothing bubblegum about this witchy woman. There will be those who disagree with me, but there is no denying that this group of women set a high standard for chick rock – hard to be touched by any of today’s artists.

r ula

Hollywood barked up the wrong beanstalk. We’ve seen books put on the big screen, comic books converted to motion pictures, and now Hollywood is trying to enchant us with fairytales. Snow White, Little Red Riding Hood, Hansel and Gretel —now Jack and our favorite beanstalk have made their way to the silver screen in “Jack the Giant Slayer.” The classic tale is revamped from its original form. The simple farm boy, Jack (Nicholas Hoult), is given magic beans after getting his horse (not a cow) stolen. Soon after, a portal (or beanstalk) connects the ancient world of stiffened giants to the humans. Then the princess (Eleanor Tomlinson) is captured, and Jack has to team up with a bunch of knights to try and save the day. Though director Bryan Singer has more experience with comic book movies (“X-Men: First Class,” and “Superman Returns”), he and his writers didn’t butcher the classic fairytale “Jack and the Beanstalk.” They did cram a lot of action, plot, wit and CGI into 114 minutes. The story is decent, but moves at such a rapid pace you’re afraid to blink because you might miss something. That being said, this is definitely an action-movie-lover’s flick. Fans of fast-paced movies will enjoy it. There’s violence, comedy, fantasy and sensuality. It’s hard not to be generic and cheesy when remaking a classic fairytale, but good-golly was there a lot of cheese in this flick. It starts with children being read a fairytale about giants, the classic “fee-fi-fo-fum” is used far more than expected, and get this — Jack’s afraid of heights. “Jack the Giant Slayer” was surprisingly well cast. Take Hank from “X-Men: First Class” (Hoult) as the innocent farm boy, ObiWan-Kenobi (Ewan McGregor) as the noble hero, and Caesar Flickerman from “The Hunger Games” (Stanley Tucci) as the bad guy set on power and uprising. And don’t forget the clan of CGI giants with their two-headed Giant King. The worst part — there wasn’t a single damn cow in the whole movie.

Ryan Borthick rborthic@msudenver.edu

Ra

Kayla Whitney kwhitne2@msudenver.edu

Music was better back in the day ♫ ♫ 80s 70s

sh

Not moo-ved by “Giant Slayer”


TheMetropolitan

Marr plays pretty, writes ugly Nikki Work nwork@msudenver.edu Even at almost 50 years old, it’s not too late to start again. Johnny Marr, the former guitarist of The Smiths and Modest Mouse, released his debut solo album, The Messenger, Feb. 26. For fans of his former works, it’s about time. The album opens with “The Right Thing Right,” a punchy jam with contrasting vocals and instrumentals. After the first track, each song on The Messenger further develops this rich consistency. As the guitar lines get more varied and at times frantic, the vocals remain a calm constant over the top. Every track is melodically interesting and different from the others. It’s all very Brit-pop, but more textured than Chex Mix. Marr’s voice comes off easy — relaxed in its delivery despite melodic intricacies. His guitar work complements this, serving mellow lines at the times of vocal complexity. During lulls in the melody, the guitars are more complicated. The engaging perpendicularity of it all keeps

either facet from overshadowing the other. Stand-out tracks on the album are “European Me,” an up-tempo but still surprisingly calm song which alternates between wicked awesome guitars and mellow vocals, and “Lockdown,” whose repeated melodies have an entrancing quality. Where The Messenger excels in musical quality, it lags in lyricism. In the song “Generate! Generate!” Marr sings, “I place by and I wonder why, calculate, calculate, calculate. I divide and I multiply, calculate, calculate, calculate.” This lyric makes no sense, but the saddest part is that this is one of the more logical lines in any of his songs. It isn’t hard to overlook Marr’s lack of coherence, though. His songs are musically solid and easy to listen to, as long as you don’t listen too closely. Lyrical nonsense aside, The Messenger is definitely worth a listen. After his wildly successful career in alternative music, Marr’s dabble in going solo almost measures up. Let’s just get this man working on some sentence structure.

Rants+Raves

March 7, 2013

Fans run Amok over new Yorke album Tobias Krause tkrause3@msudenver.edu

It seems like Thom Yorke has been everywhere over the last year. Yorke has been seen spinning records after some of New York’s fashion week’s hottest shows, touring the globe with Radiohead — the biggest name in rock today — and after all that, finding the time to pump out an album with one of his side projects, Atoms for Peace. Yorke called on longtime Radiohead producer and multiinstrumentalist Nigel Godrich, Red Hot Chili Peppers bassist Flea, former Beck and R.E.M. drummer Joey Waronker, and Brazilian percussionist Mauro Refosco to form the supergroup. The project is named after Dwight D. Eisenhower’s famous “Atoms for Peace” speech from 1953, and the 6th track of Yorke’s 2006 solo album, The Eraser. Atoms for Peace recently released their debut record Amok after months of speculation and subtle hints dropped by Yorke and Godrich. The musical genius behind each and every member of this group suggests they each brought their own flavor, and a shared passion for full-blooded grooves.

Belgian-Style IPA Made with Colorado Malts Hops.

Photo courtesy of Atoms for Peace.

The first single, “Default,” released Sept. 10, 2012, was a synth eye opener for listeners of things yet to come. On this track, Yorke’s beautiful and soulful voice, behind a series of melodic electronic beats, captures the listener and sucks them in, accompanied by a wonderfully pleasant string arrangement. The second song released off the album was the seventh track, “Judge, Jury and Executioner,” which should come as no surprise to die-hard Radiohead fans. The track had been performed a number of times by the band prior to its release. For this version, Yorke stripped it down and gave it a brilliant new arrangement, backed by Flea’s always-passionate

bass lines. After the months of rumors and seemingly endless hints via Twitter, newsletters etc. Amok was finally released Feb. 25, and was well worth the wait. Amok suggests that Yorke and Godrich spent night after night mixing and transcending each and every track until absolute perfection was achieved. Coming down after the yearlong tour in support of Radiohead’s King of Limbs, Yorke has put out a musical piece of gold. Amok is as diverse as any Radiohead album, but all comparisons aside, these boys have created something great that will hopefully be here to stay.

4600 Hale Parkway, Suite 490 Denver, CO 80220

&

Now in Denver’s Finest Beer Spots 1634 18th Street Denver, 80202 (303) 297-2700 wynkoop.com

13

/TheMetropolitan


14  March 7, 2013  Rants+Raves  TheMetropolitan

ACCREDITED BY:

National League For Nursing Accrediting Commission BACHELOR OF SCIENCE NURSING ASSOCIATE DEGREE IN NURSING Just look at a small sample of employers that have hired our graduates:

Sky Ridge Medical Center Denver Health Lutheran Medical Center Rose Medical Center

St. Anthony Central North Valley Hospital Kaiser Permanente Swedish Medical Center

Denver School of Nursing is an Accredited Member ACCSC, Denver School of Nursing programs are approved by the Colorado State Board of Nursing. NLNAC, 3343 Peachtree Road NE, Suite 850, Atlanta, Georgia 30326 Phone: 404-975-5000

FOR MORE INFORMATION 303-292-0015 WWW.DENVERSCHOOLOFNURSING.EDU 1401 19th STREET, DENVER, CO 80202 (LOCATED 1 BLOCK FROM COORS FIELD)

DSN is currently approved to train Veterans who qualify for VA Benefits! Financial aid available to those who qualify!

FOR CONSUMER INFORMATION PLEASE GO TO: WWW.DENVERSCHOOLOFNURSING.EDU

$255 Per Week 1/7 and 1/21

Job News Contact Information: Recruitment Consultant: __________________________________ Ph: ____________________ Gael Thompson (303)482-2636

JH UJ9A025AKT GA:_________ IN ID#: ____________________ City: _____ DEN FN: _______________ 13/01/07 B PG#: _____ 3 For Graphics : Spell ✔:  Proof Info:  Proof Ad:  AAQ: 

RC: 

GA Chg.: _____

At the National Conference for Media Reform, innovators from all walks of life come together to: • • •

Learn about the most pressing media, technology and democracy issues. Meet amazing activists from around the country. Build new skills in organizing, media making and much more.

This action-packed event includes: • • • • •

Great speakers like Lost actress Evangeline Lilly and Democracy Now!’s Amy Goodman Performers like Public Enemy’s Hank Shocklee, DeVotchKa’s Shawn King and comedian Hari Kondabolu A film festival featuring titles like Sundance winner Ai Weiwei: Never Sorry Hands-on workshops on video making, how to build your own radio transmitter, fundraising how-to’s and more An interactive public square with an art gallery, poetry readings … even an old-school soapbox

Register now at conference.freepress.net Text NCMR13 to 32075 for updates.


TheMetropolitan  March 7, 2013 

MetSports

Runners Wrap-up Men’s basektball CSU-Pueblo 70, Metro 69 No. 2 Metro men’s basketball lost 70-69 to Colorado State University-Pueblo Feb. 1 at Auraria Event Center. ThunderWolves’ senior guard Arden Dennis scored the game-winner with less than three seconds left in the game, the shool’s first win against the Roadrunners since 1998. The Runners shot just over 38 percent from the field on 10of-26, and 1-for-6 outside the arc. The ThunderWolves shot 50 percent and were 5-for-11 from 3-point range. The Runners went on a 9-2 run in the second half but the Thunderwolves responded with a 17-4 run to win the game.

Metro 98, UC-CoSpgs. 80 Metro men’s basketball finishes the regular season with a win over the University of Colorado-Colorado Springs March 2 at Auraria Event Center. The Roadrunners end the season 24-2 overall and 20-2 in the Rocky Mountain Athletic Conference.

Baseball

Men’s baseball lost a fourgame series to Colorado State University-Pueblo March 1-4 in Pueblo. The Roadrunners lost 9-2 in game one, when redshirt shophomore pitcher Patrick Gojan gave up 10 hits. The ThunderWolves took a 5-1 lead in the fourth inning, then pushed through in the final innings to win 9-7. The Runners were shut out 4-0 in game three. The Roadrunners walked a season-high 12 batters in the fourth game, for a 6-4 loss.

Softball

The women opened the season, losing a four-game series to Colorado State UniversityPueblo March 1-4 in Pueblo. The Roadrunners lost 4-0, 10-2 in five innings, 7-1, and 9-1 in five innings for the final game.

Compiled by Angelita Foster amayer1@msudenver.edu

15

SoCal pair primes Runners’ success His energy is contagious, and he’s meant a lot to our team.” Cooper has played in 58 games since becoming a Roadrunner, and shot an Tyler Cooper and Derrick impressive 34 percent from threeJanuary have elevated their game point range this season. in the Mile High City. January played two seasons Both hail from California. Both at two different junior colleges are returning senior guards to the before being recruited by Metro. men’s basketball team. Both have He transrered to Yakima Valley relentlessly worked hard to become Community College in Washington after one season at Grayson County College in Texas, upon graduation from Dominguez High School in Compton, Calif. in 2007. Clark said January is “one of the best athletes we have on our team. He can rebound the basketball, he can defend. He’s one of those long, athletic guys that allows us to play the way we play defensively.” The Roadrunners are known as a defensive team, causing nearly 18 turnovers per game. Metro senior guards Derrick January and Tyler Cooper. Environmental photo by Philip Poston • There’s an adage

Marios Sanelli msanelli@msudenver.edu

cornerstones of the Roadrunners. Cooper, a native of Huntington Beach, Calif., played two seasons at Santa Ana Junior College before heading to Metro as a walk on. “He came in as a guy that just wanted an opportunity,” Metro basketball head coach Derrick Clark said. “He’s probably the most competitive guy in our group.

pposton1@msudenver.edu

in sports that says, “Offense wins games. Defense wins championships,” and that is a shared goal of Cooper and January, in their senior year at Metro. “Going out with a championship would just be amazing,” Cooper said. “I’ve been on some losing teams earlier in my career, so ending my college career on top would be awesome.” January agreed. “To leave my last college game, winning that hardware that you can put on your finger, it would be a great defining moment in my college career,” January said. He has logged 448 minutes and counting as a Roadrunner. Metro is certainly capable of being crowned champs come season’s end. The team has found, and sustained, success in the regular season, evident in a 24-2 overall record. “It really just all starts with practice. We come to practice and work hard every day,” Cooper said. “That’s what we pride ourselves on, is working hard, and we have a lot of guys who can play.” >> Continued on page 17

Women end season with 2 wins Zee Nwuke znwuke@msudenver.edu Metro women’s basketball beat Colorado State University-Pueblo 42-32 on March 1 and crushed University of Colorado-Colorado Springs the following night 65-47, during the last of the regular season games. The Roadrunners improved their record to 19-8 overall and 17-5 in the RMAC conference. The Roadrunners struggled early on offense early against the ThunderWolves, who led 8-0 before the Roadrunners were forced to call a timeout. “My kids and I knew they were ready to play. We came out and got off to a good start,” CSU-Pueblo head coach Kip Gram said. “Metro missed some shots, but we knew they were going to start making some shots. They’re a good basketball team.” After the timeout, the Runners went on a 9-0 run. “I told them to keep shooting the ball, to relax and keep doing what they’re doing,” Metro head coach Tanya Haave said. “You just have nights like that and that’s when you have to rely on your defense and rebounding.”

Junior guard Kya Degarmo helped get the Roadrunners back in the game with some great defense. “Kya is a great defender and she sets the tempo for us,” Haave said. The Runners played strong defense in the second half, scoring nine points off of turnovers and six points off of offensive rebounds. With 10 minutes left on the clock, Metro built their lead by 10, going up 35-25. The remainder of the game showcased great defense from both teams, with the ThunderWolves holding the Runners to only seven points in the last 10 minutes. The final score was 42-32. “It was a low scoring game, but all you have to do is score more points than the other team and that’s what we did today,” senior guard Kristin Valencia said. Against the University of Colorado-Colorado Springs, the Runners shot 42 percent from the field and pulled down 42 rebounds. Junior forward Amy Nelson had the team-high 21 points and Degarmo had 10. Nelson and Kristin Valencia led the Roadrunners with nine rebounds each, to defeat the Mountain Lions 65-47.

Metro junior forward Amy Nelson and the lady Roadrunners defeated Colorado School of Mines 75-55 March 5 at the Auraria Event Center. The Roadrunners advance to semi-final play in the Rocky Mountain Athletic Conference tournament. The No. 2 seed Roadrunners will meet No. 6 seed Colorado Christian University March 8 at Colorado Mesa University. Photo by Ryan Borthick • rborthic@msudenver.edu


16  March 7, 2013  MetSports  TheMetropolitan

Wood embraces Metro experience Zee Nwuke znwuke@msudenver.edu

Metro senior forward/center Jonathan Morse and the men’s basketball defeated Colorado Christain University 87-75 March 5 at the Auraria Event Center. The Roadrunners advance to semi-final play in the Rocky Mountain Athletic Conference tournament and will host Colorado Mesa University March 8 in the RMAC Shootout at 7 p.m. Photo by Ryan Borthick • rborthic@msudenver.edu

Emily Wood excels on the court, as well as in the classroom. “She is a perfect example of what a student athlete should be. She is a great student. She comes in and works real hard,” head coach Tanya Haave said. “The thing I yell at her about most is she is too unselfish. Good teammate, great player, and she’t just a winner.” Wood is a five-time Athletic Director Honor Roll student athlete, with a 3.6 GPA, and she has set the bar high for her teammates to meet. She is also a sharpshooting guard for Metro women’s basketball team, averaging 10.9 points, 3.1 rebounds and 2.8 assists per game, and has helped lead the Roadrunners to a 19-8 overall record and 17-5 in the Rocky Mountain Athletic Conference. Wood said she has enjoyed suiting up as a Roadrunner, and that she has had some memorable moments. “I’ve had a few, but obviously going to the Elite 8 was a fun experience and just really being a part of all the teams I have been a part of here,” Woods said. Last season the Roadrunners lost by a buzzer beater 46-45 to Shaw University. “I was told as a freshman to embrace it because it will go by fast,” Wood said. Wood takes pride in her academic standing, making the Athletic Director’s Honor Roll every year. She is a very accomplished student. Her family and coach have instilled the importance of being successful off the court as well as on it. Wood is currently participating in an internship at Steadman Hawkins Clinic as a Human Performance and Sport major with an emphasis on Adult Fitness and Exercise Science.

“I am currently following Lauren Lander, who is a nationally renowned trainer for a bunch of different sports. That’s honestly my favorite subject,” Woods said. “I’ve had Dr. Q as one of my professors and he has taught me so much and he’s been such a mentor the whole time.” >> Continued on page 17

Metro senior guard Emily Wood. Environmental photo by Philip Poston • pposton1@msudenver.edu


TheMetropolitan

>> WOOD continued from page 16

MetSports

March 7, 2013

17

>> JANUARY/COOPER continued from page 15

Woods said her family has had a big impact on her growing up. Her dad has supported her athletic career by attending every game this season, both at home and on the road. He was the one who first got her interested in basketball as a child. “My first team ever, I was the only girl on the team, and I think my dad really wanted the first child to be into sports as he was,” Wood said. “My dad definitely pushed me into basketball. I’ve played a ton of sports, but basketball is definitely the one that’s stuck with me.”

For extended coverage and additional photos from mens and womans basketball from March 1-2 visit metnews.org

The magnificent 22-game winning streak the Roadrunners compiled to start the season was a reflection of a close-knit group that bonded long before the 2012-13 campaign tipped off. “It all started in the summer,” January said. “We had our core group of guys here in the summer, and we started building team chemistry from day one.” When No.17 Fort Lewis handed Metro its first loss of the season Feb. 22 in Durango, it was a learning experience that benefitted the Runners moving forward.

“We have a lot of heart as a team,” Cooper said. “We didn’t play the best game against Fort Lewis, and we know we can play better.” Metro did just that the night after the loss, beating Adams State by 13. “Through adversity and hard times, you learn from your mistakes, and it just shows that if we’re down we can always come back,” January said.

TALK TO US STORY IDEAS

FREE NIA DANCE FITNESS CLASS

Tuesdays & Thursdays 1–1:55 p.m. @ PE 103 A creative, free-spirited and fun barefoot dancing form, Nia draws from martial arts and healing arts to connect mind, body and spirit. It empowers people of all shapes and sizes to find happiness, confidence and the potential to live a fulfilling life. Step into your own joyful journey with Nia, and positively shape the way you feel, look, think and live.

Part of the Healthy Moves Program • CHECK OUT OUR OTHER FREE CLASSES: BELLY DANCING Mondays & Wednesdays, 4:30-5:20 p.m. • PE 103 FLOW YOGA Mondays & Wednesdays, 3:30-4:25 p.m. • PE 103 HATHA YOGA Mondays, 5:30-6:30 p.m. • Tivoli 640 Wednesdays, 5:30-6:30 p.m. • PE 103

PILATES Tuesdays & Thursdays, noon-12:55 p.m. • Fridays, 10-10:55 a.m. • PE 103 YOGA FOR RELAXATION Fridays, 11 a.m.-12:10 p.m. • PE 103 YOGA FOR STRESS MANAGEMENT Tuesdays & Thursdays, 11-11:55 a.m. • PE 103 YOGA NIDRA Thursdays, 3:30-4:25 p.m. • PE 103 ZUMBA® Tuesdays & Thursdays, 5:15-6:15 p.m. • Fridays, 12:15-1:10 p.m. • PE 103 www.msudenver.edu/healthymoves Sponsored by Health Center at Auraria, Campus Recreation at Auraria and MSU Denver First Year Success. For more information, contact Health Center at Auraria at 303-556-2525, or stop by Plaza 150.

DISCOUNTS

CONTESTS

Be a part of your campus news outlets. Suggest a story idea, sound off on previous issues, comment on campus events, or sell your old records in the Classifieds. Thatʼs why weʼre here!

MetroStudentMedia.com @MetroStudentMedia @MetStudentMedia @MetroStudentMedia Tivoli 313 303-556-2507 studentmedia@msudenver.edu


18 March 7, 2013 MetroSpective TheMetropolitan

StudyBreak

Sudoku

Horoscope

Capricorn

December 22 -January 19 Illegally downloading music doesn’t give you the right to dress like a pirate every day.

By Kayla Whitney • kwhitne2@msudenver.edu

Taurus

April 20 -May 20 While checking out a new band over the weekend, your socks will literally be rocked off and you’ll be left to contemplate how your shoes were left on and where on earth your socks went.

Aquarius

Difficulty: EASY

Gemini

January 20 -February 18

May 21 -June 20

Sure, you’re really excited about the new “Oz: The Great and Powerful,” but don’t get your hopes up — flying monkeys are not real.

You’ll be compelled to build a pillow fort. It’ll be the coolest and best pillow fort anyone has ever created.

Pisces

February 19 -March 20 You may be misinterpreting the phrase “breaking the ice,” when you’re out ice skating and see an attractive someone and you quite literally break the ice around them, causing them to fall into the icy depths.

Aries

March 21 -April 19 You’ll go out to a local coffee shop and order a cup of joe. You’ll be alarmed to fi nd a small person in your cup with a name tag that says, “Hello, my name is: Joe.”

Cancer

June 21 -July 22 Going around putting socks in people’s mouths when you want them to shut up is a lot more effective them telling them to “put a sock in it.”

Leo

July 23 -August 22 Today should only be considered “the present” if you get to rip wrapping paper off everything and throw tissue paper up in the air at every moment.

Virgo

August 23 -September 22 The next time you hear Alice Cooper’s song “School’s Out for Summer,” call the radio station and complain that it’s the middle of March and to quit getting your hopes up.

Libra

September 23 -October 22 You’ll want to look to the sky — but you’ll end up becoming blind from staring at the sun for too long.

Scorpio

October 23 -November 21 You’ll be thankful that cell phone clocks reset automatically for daylight savings. You won’t be thankful that you’ll be out partying all night Saturday and instead of the two hours of sleep you budgeted before work, you’ll only get one.

Sagittarius

November 22 -December 21

Apparently you can buy your own drone. They’re a little expensive — I mean, a few hundred bucks — but it’d be a cool addition to your paper airplane collection.

Difficulty: HARD

Brain Teasers

Comic created by Jorge Perez-Garcia • jperezga@msudenver.edu

3 3.7-3.1

This k e e W

Metro Events 3.7-3.9 “Kiss Me Kate” Eugenia Rawls Courtyard Theatre King Center 165 @ 7:30 p.m. $20

Last issue’s answers (top to bottom) A Friend in Need, Credibility Gap, Pretty Please, Scambled Eggs, Skating on thin Ice

3.10 “Kiss Me Kate” Eugenia Rawls Courtyard Theatre King Center 165 @ 2:30 p.m. $20

3.7 Gig Series: Paul Christian Tivoli Atrium @ 11 a.m. Free 3.8 Sex Week! Truth Is In Our Bodies Symposium North Classroom @ 9 a.m. Students: $15 Non-students: $15 3.10 Metropolitan Woodwind Consort King Center Recital Hall @ 2:30 p.m. $5-$10 3.12 Lunch with Lawmakers: Working it Out This panel of LGBTQ professionals from the community will speak about being out in the workplace Tivoli 440 @ 11 a.m.

Events Around Denver 3.8 Jeff Dunham 1stBank Center Doors open @ 7 p.m. Show @ 8 p.m. $46 3.8-3.10 Rocky Mountain Horse Expo National Western Complex Times vary per event Price varies per event 3.12 Colorado Avalanche vs. Edmonton Oilers Pepsi Center @ 7 p.m. Discounted Tickets Available for MSU Denver Students and Employees $27-$57


TheMetropolitan

March 7, 2013

ClassifiedAds Phone: 303-556-2507 Fax: 303-556-3421 Location: Tivoli 313 Advertising via Email: studentmedia@msudenver.edu Website: www.metrostudentmedia.com Classified ads are 15¢ per word for students currently enrolled at MSU Denver. To receive this rate, a current MSU Denver student ID must be shown at time of placement. For all others, the cost is 30¢ per word. Cash, check, VISA and MasterCard are accepted. Classified ads may be placed via fax, email or in person. The deadline for placing all classified ads is 3 p.m. Thursday for the following week. For more information about other advertising opportunities, call 303-556-2507.

COLLEGE NIGHT $1 Drafts! $1 Games! $1 Shoes!

STEAL OF A DE AL

Introducing RowdyBucks: MSU Denver’s own local deals & discounts

1 Wednesdays at 8pm ELITCH LANES

3825 Tennyson • (303) 447-1633

FREE CLASSIFIED AD

All MSU Denver campus organizations are eligible for one FREE classified ad (with option to upgrade to display classified for $10) and one FREE radio acknowledgment per year. Contact Student Media, see above or email studentmedia@msudenver.edu, for more information.

Go to the Student Success Building. Look for

2 on the new kiosk. 3

Find a steal of a deal. (LIKE DISCOUNTS AT RESTAURANTS, SHOPS, SKI RESORTS AND MORE).

$10 off or 4-Day Pass FREE Member Gold Card for $199 In honor of 5280 Re staurant Week

Classified Info

$5.28 Morning Glory or coffee & pie

$5.28 slice of pie

please visit the kiosk for full details

YOu and a guest are invited tO a special advance screening Of

Please visiT www.gofobo.com/ RSVP and enTer The Code THEmETwLYc For your ChanCe To win a Pair oF TiCkeTs. each Pass admits one. limit two passes per person, while supplies last.

This film is rated R for VIOLENCE, DISTURBING CONTENT AND SOME LANGUAGE. Supplies are limited. Passes are on a first-come, first-serve basis. The screening will be held Wednesday, 3/13 at 7:00PM at a local theater. Winners will be notified via email. Sponsors and their dependents are not eligible to receive a prize. Passes received through this promotion do not guarantee a seat at the theater. Seating is on a first-come, first-served basis, except for members of the reviewing press. Theater is overbooked to ensure a full house. No admittance once screening has begun. All federal, state and local regulations apply. A recipient of prizes assumes any and all risks related to use of prize, and accepts any restrictions required by prize provider. Tri-Star, Screen Gems, Allied-THA, Gofobo, The Metropolitan and their affiliates accept no responsibility or liability in connection with any loss or accident incurred in connection with use of prizes. Prizes cannot be exchanged, transferred or redeemed for cash, in whole or in part. Not responsible if, for any reason, winner is unable to use his/her prize in whole or in part. Not responsible for lost, delayed or misdirected entries. All federal, state and local taxes are the responsibility of the winner. Void where prohibited by law. No purchase necessary. NO PHONE CALLS

Opens natiOnwide March 15! www.call-movie.com • Facebook.com/CallMovie • #TheCallMovie

THE METROPOLITAN

Visit tiVoli 313 to enter to win an admit 2 pass to the special met: liVe in hd series, winners chosen at random. Winners will be drawn at random and notified details. Sponsors and their dependents are not eligible to receive a prize. Passes received through this promotion are valid for a seat at the theatre. Please exchange your pass for a ticket at the box office. Seating is on a first come, first served basis. All federal, state and local regulations apply. A recipient of tickets assumes any and all risks related to use of ticket, and accepts any restrictions required by ticket provider. Fathom Events, Metropolitan and their affiliates accept no responsibility or liability in connection with any loss or accident incurred in connection with use of a prize. Tickets cannot be exchanged, transferred or redeemed for cash, in whole or in part. We are not responsible if, for any reason, recipient is unable to use his/her ticket in whole or in part. All federal and local taxes are the responsibility of the winner. Void where prohibited by law. No purchase necessary. Participating sponsors, their employees and family members and their agencies are not eligible. NO PHONE CALLS!

19


303.477.1950 RegencyStudentHousing.com NOW LEASING - Fall 2013! New Apartments

Apply Today!

LEASE BY APRIL 1st. FOR A CHANCE TO WIN $1,000! Villas Amenities 3 Bed/3 Bath Apts. Fully Furnished Full Kitchen Free Utilities Included Private Washer/Dryer Full Service Dining Hall Swimming Pool

Free On-site Parking Free Shuttle to Auraria Bowling Alley Basketball Courts Fitness Center Computer Lab Secured Access

3900 Elati Street, Denver Colorado 80216

Volume 35, Issue 24 - March 7, 2013  

Weekly, student-run newspaper serving the Auraria Campus in downtown Denver since 1979.

Read more
Read more
Similar to
Popular now
Just for you